summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2015-05-26 01:46:13 (EDT)
committer P. J. McDermott <pj@pehjota.net>2015-05-26 01:46:13 (EDT)
commitfee11646ece5d7c0da3b2018f3af86e53ec0e28b (patch)
tree0c4dda20cedfca7c8eca86c3e8024b7119e57a0a
parent508a4e460a7ae3c82adaf5358f5f6b591a51c6f3 (diff)
install_system(): Pick mirror before validating arch/plat
Based on commit 83bcfb5 in the master branch.
-rw-r--r--lib/install.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/lib/install.sh b/lib/install.sh
index 331fcbb..b7ca485 100644
--- a/lib/install.sh
+++ b/lib/install.sh
@@ -47,16 +47,18 @@ install_system()
if [ "x${plat}" = 'x' ]; then
plat="$(profile_default_plat)"
fi
- if ! profile_validate_archplat "${arch}" "${plat}"; then
+ if [ "x${mirror}" = 'x' ]; then
+ mirror="$(profile_select_mirror)"
+ fi
+
+ if ! profile_validate_archplat "${mirror}" "${arch}" "${plat}" \
+ "${suite}"; then
error 2 "$(get_msg 'install_bad_archplat')" \
"${arch}" "${plat}"
fi
+
info "$(get_msg 'install_selected_arch')" "${arch}"
info "$(get_msg 'install_selected_plat')" "${plat}"
-
- if [ "x${mirror}" = 'x' ]; then
- mirror="$(profile_select_mirror)"
- fi
info "$(get_msg 'install_selected_mirror')" "${mirror}"
info "$(get_msg 'install_setting_up_chroot')"